package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.R;
import com.lz.modules.flow.entity.FlowStart;
import com.lz.modules.flow.model.StartGroups;

import java.util.List;

/**
* <p>
* 发起考核表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
public interface FlowStartService extends IService<FlowStart> {



	FlowStart selectFlowStartById(Long id);


	Long insertFlowStart(FlowStart flowStart);


	int updateFlowStartById(FlowStart flowStart);


	int updateCoverFlowStartById(FlowStart flowStart);


	int deleteFlowStartById(Long id);


    FlowStart selectFlowStartByName(String name);

	R startStaffs(StartGroups startGroupStaffIds);

    R saveStart(FlowStart flowStart);

    R getModelById(Long id, int type);
}